curl -X PUT https://api.growthbook.io/api/v1/archetypes/sam_abc123 \
-d '{ "description": "New description" }'
-u secret_abc123DEF456:{
"archetype": {
"id": "<string>",
"dateCreated": "<string>",
"dateUpdated": "<string>",
"name": "<string>",
"owner": "<unknown>",
"isPublic": true,
"attributes": {},
"description": "<string>",
"projects": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The id of the requested resource
Success
Show child attributes
curl -X PUT https://api.growthbook.io/api/v1/archetypes/sam_abc123 \
-d '{ "description": "New description" }'
-u secret_abc123DEF456:{
"archetype": {
"id": "<string>",
"dateCreated": "<string>",
"dateUpdated": "<string>",
"name": "<string>",
"owner": "<unknown>",
"isPublic": true,
"attributes": {},
"description": "<string>",
"projects": [
"<string>"
]
}
}